Create Library Item
Creates a new content library item.
Creates a new content library item. Note that the item is not fully created until its files have been uploaded.
Request
URI
POST
https://{api_host}/cloudapi/v1/contentLibraryItems
COPY
Request Body
ContentLibraryItem
of type(s)
application/json
Optional
Show optional properties
{
"name": "string",
"contentLibrary": {},
"itemType": "string"
}
{
"id": "string",
"name": "string",
"imageIdentifier": "string",
"description": "string",
"isPublished": false,
"isSubscribed": false,
"creationDate": "string",
"lastSuccessfulSync": "string",
"version": 0,
"status": "READY, NOT_READY, FAILED, PARTIALLY_READY",
"contentLibrary": {
"name": "string",
"id": "string"
},
"org": {
"name": "string",
"id": "string"
},
"fileUploadSizeBytes": 0,
"sizeBytes": 0,
"itemType": "string",
"placeholder": false
}
Responses
201
OK
Returns
ContentLibraryItem
of type(s)
application/json;version=9.1.0
{
"id": "string",
"name": "string",
"imageIdentifier": "string",
"description": "string",
"isPublished": false,
"isSubscribed": false,
"creationDate": "string",
"lastSuccessfulSync": "string",
"version": 0,
"status": "READY, NOT_READY, FAILED, PARTIALLY_READY",
"contentLibrary": {
"name": "string",
"id": "string"
},
"org": {
"name": "string",
"id": "string"
},
"fileUploadSizeBytes": 0,
"sizeBytes": 0,
"itemType": "string",
"placeholder": false
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Modern"}]
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"contentLibrary":"object","itemType":"string","name":"string"}' https://{api_host}/cloudapi/v1/contentLibraryItems
Availability
Added in 9.0.0
On This Page
Content Library Item Operations
GET
Query Items
POST
Create Library Item
GET
Get Library Item
PUT
Update Library Item
DELETE
Delete Library Item
GET
Query Item Files
POST
Promote Library Item
POST
Generate Download Bundle